<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Teacher_timetable extends Model
{
    protected $guarded = [];

    public function staff_member()
    {
        return $this->belongsTo(Staff_member::class, 'teacher_id');
    }
    public function classes(){
        return $this->belongsTo(Classe::class, 'class_id');
    }
    public function sections(){
        return $this->belongsTo(Section::class, 'section_id');
    }
    public function subjects(){
        return $this->belongsTo(Subject::class, 'subject_id');
    }
}
